wok rev 22920

gtk+3 with cups disabled
author Hans-G?nter Theisgen
date Mon Feb 24 16:38:08 2020 +0100 (13 months ago)
parents 38d6dbd8db71
children e9af2ddc813b
files gtk+3/receipt
line diff
     1.1 --- a/gtk+3/receipt	Mon Feb 24 15:54:38 2020 +0100
     1.2 +++ b/gtk+3/receipt	Mon Feb 24 16:38:08 2020 +0100
     1.3 @@ -10,7 +10,7 @@
     1.4  
     1.5  SOURCE="gtk+"
     1.6  TARBALL="$SOURCE-$VERSION.tar.xz"
     1.7 -WGET_URL="$GNOME_MIRROR/$SOURCE/${VERSION:0:4}/$TARBALL"
     1.8 +WGET_URL="$GNOME_MIRROR/$SOURCE/${VERSION%.*}/$TARBALL"
     1.9  
    1.10  SUGGESTED="cups"
    1.11  DEPENDS="at-spi2-atk atk gdk-pixbuf pango slitaz-icon util-linux-uuid 
    1.12 @@ -18,7 +18,7 @@
    1.13  	xorg-libXrandr"
    1.14  BUILD_DEPENDS="at-spi2-atk atk-dev autoconf automake bash cairo-dev 
    1.15  	cups-dev dbus-dev gdk-pixbuf-dev gobject-introspection-dev 
    1.16 -	indent libffi-dev pango-dev libxml2-dev perl pkg-config 
    1.17 +	indent libffi-dev libxml2-dev pango-dev perl pkg-config 
    1.18  	util-linux-uuid-dev xorg-dev"
    1.19  
    1.20  CONFIG_FILES="/etc/gtk-3.0/settings.ini"
    1.21 @@ -43,6 +43,11 @@
    1.22  	# With cups-2.3.1 installed, configure says CUPS >= 1.2 not found
    1.23  	# Try to cheat configure by:
    1.24  	sed -i '25179a CUPS_API_MAJOR=1'	configure
    1.25 +	# Results in error: dereferencing pointer to incomplete type
    1.26 +	# Can we waive cups support?
    1.27 +
    1.28 +	# unrecognised:
    1.29 +	#	--enable-packagekit=no
    1.30  
    1.31  	./configure				\
    1.32  		--prefix=/usr			\
    1.33 @@ -51,7 +56,6 @@
    1.34  		--enable-colord=no		\
    1.35  		--enable-debug=no		\
    1.36  		--enable-introspection=yes	\
    1.37 -		--enable-packagekit=no		\
    1.38  		--enable-x11-backend		\
    1.39  		--enable-xcomposite		\
    1.40  		--enable-xdamage		\
    1.41 @@ -60,6 +64,7 @@
    1.42  		--enable-xkb			\
    1.43  		--enable-xrandr			\
    1.44  		--disable-broadway-backend	\
    1.45 +		--disable-cups			\
    1.46  		--disable-wayland-backend	\
    1.47  		--with-x			\
    1.48  		$CONFIGURE_ARGS			\